Prerequisites Error on KB976462

Mar 25, 2011 at 7:11 PM

The first time I run the AutoSPInstaller (I'm using online mode) it gives a warning that KB976462 could not be installed (full details below). So I tried to install it manually and it said that the hotfix is not applicable. If I then run AutoSPInstaller again, the prerequisites install process completes just fine and it goes on its merry way. Anyone know how to work around this?

WARNING: 2011-03-25 14:41:25 - Error: The tool was unable to install Hotfix for

Microsoft Windows (KB976462).

WARNING: 2011-03-25 14:41:25 - Last return code (-2145124329)

- Review the log file and try to correct any error conditions.

Press any key to exit...

Coordinator
Apr 7, 2011 at 2:05 AM

Are you running Win2008 R2 SP1 on the target server? I have been getting this too, after I upgraded to SP1. Odd, but yes it just involves running the script again and everything goes seemingly fine.

Brian

Apr 7, 2011 at 1:43 PM

Yes, I am using Windows Server 2008 R2 with SP1. If anyone has any suggestions for a fix or workaround that doesn't involve running the script twice it would be much appreciated. I am about to start testing configurations for building a 4 server farm.

May 13, 2011 at 9:57 AM

Hi all,

The same behavior here. I'm also on Server 2008 R2 SP1 and I'm wondering if there is a fix or a workaround that doesn't involve running the script twice as I'm trying to automate as much as possible!

Thanks!

May 16, 2011 at 12:03 PM

I had the same error.  Ran the launcher a second time, and same again.  Did a Windows Update and reboot.  No more problems

 

May 21, 2011 at 3:46 AM

Note I've had this happen without using the scripts, by just running the spfoundation downloadable on a 2008 R2 SP1 clean box.  Google is showing others having the same issue.  A rerun of the spfoundation install fixed it (actually skipped it) as well so this isn't related to autospinstaller IMO, but a current prereq bug for 2008 R2 SP1 boxes.

Coordinator
Jun 10, 2011 at 2:20 AM

Hey all, the next AutoSPInstaller release will automatically just re-run the PreRequisiteInstaller if it encounters this error. Hopefully this bug will be fixed for good in SharePoint 2010 SP1.

Cheers
Brian

Coordinator
Jan 14, 2012 at 8:04 PM

FYI everyone - MS actually describes a workaround for this, which will be put in place in the next drop of AutoSPInstaller (to replace the current workaround):

http://support.microsoft.com/kb/2581903

 

It simply involves installing the .Net Framework Windows feature prior to running PrerequisiteInstaller.exe...!

Brian